%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-wayland-protocols
Version:       1.0
Release:       1mamba
Summary:       KDE Plasma-specific protocols for Wayland
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma-wayland-protocols/%{version}/plasma-wayland-protocols-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma-specific protocols for Wayland.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_datadir}/plasma-wayland-protocols
%{_datadir}/plasma-wayland-protocols/*.xml
%dir %{_libdir}/cmake/PlasmaWaylandProtocols
%{_libdir}/cmake/PlasmaWaylandProtocols/PlasmaWaylandProtocols*.cmake
%doc COPYING.LIB

%changelog
* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created using the webbuild interface
